package com.chenyang.nse.bussiness.performance_monitor.entity;

public class PerformanceDashBoardPieChart {
   String name;
   Object count;
   String desc;

   public String getName() {
      return this.name;
   }

   public Object getCount() {
      return this.count;
   }

   public String getDesc() {
      return this.desc;
   }

   public void setName(final String name) {
      this.name = name;
   }

   public void setCount(final Object count) {
      this.count = count;
   }

   public void setDesc(final String desc) {
      this.desc = desc;
   }

   public boolean equals(final Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof PerformanceDashBoardPieChart)) {
         return false;
      } else {
         PerformanceDashBoardPieChart other = (PerformanceDashBoardPieChart)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$name = this.getName();
            Object other$name = other.getName();
            if (this$name == null) {
               if (other$name != null) {
                  return false;
               }
            } else if (!this$name.equals(other$name)) {
               return false;
            }

            Object this$count = this.getCount();
            Object other$count = other.getCount();
            if (this$count == null) {
               if (other$count != null) {
                  return false;
               }
            } else if (!this$count.equals(other$count)) {
               return false;
            }

            Object this$desc = this.getDesc();
            Object other$desc = other.getDesc();
            if (this$desc == null) {
               if (other$desc != null) {
                  return false;
               }
            } else if (!this$desc.equals(other$desc)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(final Object other) {
      return other instanceof PerformanceDashBoardPieChart;
   }

   public int hashCode() {
      int PRIME = 59;
      int result = 1;
      Object $name = this.getName();
      result = result * 59 + ($name == null ? 43 : $name.hashCode());
      Object $count = this.getCount();
      result = result * 59 + ($count == null ? 43 : $count.hashCode());
      Object $desc = this.getDesc();
      result = result * 59 + ($desc == null ? 43 : $desc.hashCode());
      return result;
   }

   public String toString() {
      return "PerformanceDashBoardPieChart(name=" + this.getName() + ", count=" + this.getCount() + ", desc=" + this.getDesc() + ")";
   }
}
